Bug 1015041 - [cli] provider delete_manifest missing, UI has it
[cli] provider delete_manifest missing, UI has it
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: katello-agent (Show other bugs)
6.0.2
Unspecified Unspecified
unspecified Severity high (vote)
: Unspecified
: --
Assigned To: Bryan Kearney
Tazim Kolhar
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-03 07:18 EDT by Garik Khachikyan
Modified: 2015-01-04 17:00 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-02 10:06:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Garik Khachikyan 2013-10-03 07:18:11 EDT
Description of problem:
Please provide CLI command for: `provider delete_manifest` as the UI has, and CLI not.

Version-Release number of selected component (if applicable):
candlepin-0.8.25-1.el6sam.noarch
candlepin-cert-consumer-artemis.usersys.redhat.com-1.0-1.noarch
candlepin-scl-1-5.el6_4.noarch
candlepin-scl-quartz-2.1.5-5.el6_4.noarch
candlepin-scl-rhino-1.7R3-1.el6_4.noarch
candlepin-scl-runtime-1-5.el6_4.noarch
candlepin-selinux-0.8.25-1.el6sam.noarch
candlepin-tomcat6-0.8.25-1.el6sam.noarch
createrepo-0.9.9-21.2.pulp.el6sat.noarch
elasticsearch-0.19.9-8.el6sat.noarch
katello-1.4.6-15.el6sat.noarch
katello-agent-1.4.4-2.el6sat.noarch
katello-all-1.4.6-15.el6sat.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-certs-tools-1.4.4-1.el6sat.noarch
katello-cli-1.4.3-15.el6sat.noarch
katello-cli-common-1.4.3-15.el6sat.noarch
katello-common-1.4.6-15.el6sat.noarch
katello-configure-1.4.5-8.el6sat.noarch
katello-configure-foreman-1.4.5-8.el6sat.noarch
katello-configure-foreman-proxy-1.4.5-8.el6sat.noarch
katello-foreman-all-1.4.6-15.el6sat.noarch
katello-glue-candlepin-1.4.6-15.el6sat.noarch
katello-glue-elasticsearch-1.4.6-15.el6sat.noarch
katello-glue-pulp-1.4.6-15.el6sat.noarch
katello-qpid-broker-key-pair-1.0-1.noarch
katello-qpid-client-key-pair-1.0-1.noarch
katello-selinux-1.4.4-4.el6sat.noarch
m2crypto-0.21.1.pulp-8.el6sat.x86_64
mod_wsgi-3.4-1.pulp.el6sat.x86_64
pulp-katello-plugins-0.2-1.el6sat.noarch
pulp-nodes-common-2.3.0-0.14.alpha.el6sat.noarch
pulp-nodes-parent-2.3.0-0.14.alpha.el6sat.noarch
pulp-puppet-plugins-2.3.0-0.14.alpha.el6sat.noarch
pulp-rpm-handlers-2.3.0-0.14.alpha.el6sat.noarch
pulp-rpm-plugins-2.3.0-0.14.alpha.el6sat.noarch
pulp-selinux-2.3.0-0.14.alpha.el6sat.noarch
pulp-server-2.3.0-0.14.alpha.el6sat.noarch
python-isodate-0.5.0-1.pulp.el6sat.noarch
python-oauth2-1.5.170-3.pulp.el6sat.noarch
python-pulp-agent-lib-2.3.0-0.14.alpha.el6sat.noarch
python-pulp-bindings-2.3.0-0.14.alpha.el6sat.noarch
python-pulp-common-2.3.0-0.14.alpha.el6sat.noarch
python-pulp-puppet-common-2.3.0-0.14.alpha.el6sat.noarch
python-pulp-rpm-common-2.3.0-0.14.alpha.el6sat.noarch
python-qpid-0.18-5.el6_4.noarch
qpid-cpp-client-0.14-22.el6_3.x86_64
qpid-cpp-client-ssl-0.14-22.el6_3.x86_64
qpid-cpp-server-0.14-22.el6_3.x86_64
qpid-cpp-server-ssl-0.14-22.el6_3.x86_64
ruby193-rubygem-foreman-katello-engine-0.0.8-6.el6sat.noarch
ruby193-rubygem-katello-foreman-engine-0.0.5-2.el6sat.noarch
ruby193-rubygem-katello_api-0.0.3-4.el6sat.noarch
ruby193-rubygem-ldap_fluff-0.2.2-2.el6sat.noarch
signo-katello-0.0.20-3.el6sat.noarch

How reproducible:
always

Steps to Reproduce:
1.missing provider delete_manifest
2.
3.

Actual results:
missing

Expected results:
should exist

Additional info:
Comment 4 Bryan Kearney 2014-03-11 11:37:46 EDT
The command is now:

hammer subscription delete_manifest
Comment 6 Tazim Kolhar 2014-05-09 09:11:45 EDT
VERIFIED :

# hammer subscription delete-manifest --help
Usage:
    hammer subscription delete-manifest [OPTIONS]

Options:
    --async                       Do not wait for the task
    --organization-id ORGANIZATION_ID Organization id
    -h, --help                    print help
Comment 7 Bryan Kearney 2014-07-02 10:06:40 EDT
This was delivered with 6.0.3, which is the Satellite 6 Beta.

Note You need to log in before you can comment on or make changes to this bug.